Подгрузка новостей.

Аватар пользователя viktorbeznosov viktorbeznosov 22 марта в 9:38

Друзья ,есть такая проблема.
У меня на сайте http://sila.webisgroup.ru/news в разделе "Новости" при помощи View выводится спиок новостей (все новости). Нужно реализовать, что бы выводилось с начала первые 5 новостей, потом по нажатии кнопки "Загрузить еще" ajax-запросом выводились еще 5 новостей, потом еще и т.д.
Подскажите, пожалуйста, как в Drupal 7 это можно осуществить?

0 Thanks

Лучший ответ

Комментарии

Аватар пользователя viktorbeznosov viktorbeznosov 25 марта в 12:21

Я настроил Views Show More Pager

+ поставил галочку USe ajax

Но почему-то не подгружается контент при нажатии на кнопку http://sila.webisgroup.ru/news. Подскажите, пожалуйста, в чем может быть проблема?

Аватар пользователя marassa marassa 25 марта в 15:58
viktorbeznosov wrote:

Я настроил Views Show More Pager

А зачем? Вам советуют одно, а Вы ставите другое...

Аватар пользователя viktorbeznosov viktorbeznosov 25 марта в 10:59

Если я галочку Use ajax отключаю - то подгрузка контента не работает. А работает при нажатии на "Загрузить еще" как обычный pager

Аватар пользователя viktorbeznosov viktorbeznosov 25 марта в 12:22

При чем с самого начала я это дело настроил - все работало. Потом поменял настройки Display All items

После этого все перестало работать

Аватар пользователя ivnish ivnish 25 марта в 12:20

Пожалуйста, крепите скриншоты не ссылками, а изображениями. У нас есть соответствующая кнопка. Предыдущие комментарии я исправлю

Аватар пользователя ivnish ivnish 25 марта в 15:36

Большинство модулей для Drupal 7 используют jquery 1.10. Если заменить его на более старшую версию у вас может половина сайта сломаться.

Аватар пользователя ivnish ivnish 25 марта в 15:40

А что делать, если мне нужен на сайте именно jquery-3.3.1 ?

Обновить сайт до Drupal 8 :)

Аватар пользователя ivnish ivnish 25 марта в 15:37

Никак, по сути. В ядре Drupal 7 присутствует jquery 1.4. Для того, чтобы увеличить версию хотя бы до 1.10 используют модуль jquery_update. Когда вы его отключите, в игру снова вступит версия 1.4 из ядра

Аватар пользователя viktorbeznosov viktorbeznosov 25 марта в 15:51

Почему тогда отключение jquery 3.1.1 не решает проблему с подгрузкой? Может дело вовсе не в конфликте?

Аватар пользователя ivnish ivnish 25 марта в 16:15

А вы модуль поставили, который я советовал в первом комментарии? Такое ощущение, что вы что-то другое используете

Аватар пользователя viktorbeznosov viktorbeznosov 25 марта в 18:03

У меня стоит lightslider. Я подумал с начала, что он работает только на jquery 3.3.1
Похоже я ошибался. Пока можно обойтись без 3.3.1

А так на будущее, если вдруг понадобится установить что-то больше, чем jquery 1.10.1, что делать, что бы избежать конфликтов, ну кроме обновления до Drupal 8)